# $Revision: 1.7 $, $Date: 2011/03/01 06:28:45 $
%include	/usr/lib/rpm/macros.php
%define		_class		Date
%define		_subclass	Holidays_Norway
%define		_status		alpha
%define		_pearname	Date_Holidays_Norway
Summary:	%{_pearname} - Driver based class to calculate holidays in Norway
Summary(pl.UTF-8):	%{_pearname} - klasa do obliczania świąt norweskich
Name:		php-pear-%{_pearname}
Version:	0.1.2
Release:	3
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c738a117733fe3e05c5db91430934d56
Patch0:		%{name}-paths.patch
URL:		http://pear.php.net/package/Date_Holidays_Norway/
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Date_Holidays >= 0.21.1
Obsoletes:	php-pear-Date_Holidays_Norway-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date_Holidays helps you calculate the dates and titles of holidays and
other special celebrations. This is the driver for calculating
holidays in Norway.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Date_Holidays pozwala na obliczenie dat oraz tytułów świąt oraz
specjalnych okazji. Klasa ta pozwala na wyliczenie świąt norweskich.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Date/Holidays/Driver/Norway.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Date_Holidays_Norway.spec,v $
Revision 1.7  2011/03/01 06:28:45  glen
- release 3

Revision 1.6  2011/01/23 01:03:07  sparky
- dropped -tests subpackage

Revision 1.5  2010/08/22 08:50:58  glen
- ensure rpmbuild macros present

Revision 1.4  2010/08/21 19:07:46  glen
- updated deps with pearize.sh
- release 2

Revision 1.3  2010/08/20 12:57:19  glen
- updated to: 0.1.2

Revision 1.2  2008/08/31 07:20:06  adamg
- updated to 0.1.1
- tests subpackage

Revision 1.1  2008/06/19 20:00:11  adamg
- new
